package com.xhkjedu.sapi.mapper.component;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.component.TUserComponent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description：用户组件
 * @Author: WN
 * @Date: 2024/7/19 14:44:39
 **/
public interface UserComponentMapper extends TkMapper<TUserComponent> {

    //删除用户组件
    void deleteByUserid(@Param("userid")Integer userid);

    //获取用户组件
    List<Map<String,Object>> listComponentsByUserid(@Param("userid")Integer userid);

    //获取用户角色权限模块（匹配组件）
    List<String> listUserRoleModule(@Param("userid")Integer userid);

    //获取所有正常状态下老师和学校管理员id
    List<Integer> listAllUserids();
}
